=== debian/changelog ===
hindsight (0.12.7-1) unstable; urgency=medium

  * New upstream version
    - Switch to git based upstream, as there is no tarball
  * Add me to uploaders
  * Bump libluasandbox-dev build-dep to 1.2

 -- Mathieu Parent <sathieu@debian.org>  Wed, 16 Nov 2016 22:42:52 +0100

hindsight (0.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #838968)

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Sep 2016 15:18:52 +0200
