=== debian/control ===
Source: hindsight
Section: admin
Priority: optional
Maintainer: Heka Maintainers <pkg-heka-maint@lists.alioth.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 9), cmake, libluasandbox-dev (>= 1.2.0)
Standards-Version: 3.9.8
Homepage: https://github.com/mozilla-services/hindsight
Vcs-Git: https://anonscm.debian.org/pkg-heka/hindsight.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-heka/hindsight.git

Package: hindsight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Light weight data processing infrastructure
 Hindsight is a C based data processing infrastructure based on the lua
 sandbox project. This was developed as a light weight replacement for
 Heka with a faster data pipeline and delivery guarantees.
 .
 Hindsight is that light weight skeleton around the same lua sandbox
 offering 'at least once' delivery semantics.
